/*
 * MemoryFile.h
 *
 *  Created by Omer Gilad on: Mar 31, 2014
 */

#ifndef MEMORYFILE_H_
#define MEMORYFILE_H_

#include "file.h"

namespace Common {

class MemoryFile: public Common::File {
public:
	MemoryFile(const uint8* data, uint32 length);

	virtual ~MemoryFile();

	bool err() const;
	void clearErr();
	bool eos() const;

	int32 pos() const;
	int32 size() const;
	bool seek(int32 offs, int whence = SEEK_SET);
	uint32 read(void *dataPtr, uint32 dataSize);

private:

	const uint8* mData;
	uint32 mSize;
	uint32 mPos;
};

} /* namespace Common */
#endif /* MEMORYFILE_H_ */
