/*
* The ScummVM WPF UI project
* Net Wrapper for WPF UI
*
* Copyright (c) 2016 MojoTouch
* Author: Ilya Rovensky
*/

#include "stdafx.h"
#include "ManagedWrapper.h"

namespace NetWrapper {

	ManagedWrapper::ManagedWrapper()
	{
		userInterface = gcnew UserInterface();
	}

	MenuAction ManagedWrapper::ShowMenu(MenuAction menuAction, int menuState)
	{
		return userInterface->ShowMenu(menuAction, menuState);
	}

	void ManagedWrapper::DisplayMainMenu(int menuState)
	{
		userInterface->DisplayMainMenu(menuState);
	}

	int ManagedWrapper::ShowSettings(MenuAction menuAction, List<Setting^>^ settings)
	{
		return userInterface->ShowSettings(menuAction, settings);
	}

	void ManagedWrapper::HideMenu()
	{
		userInterface->HideMenu();
	}

	/*void ManagedWrapper::ShowTutorial()
	{
		userInterface->ShowTutorial();
	}*/

	int ManagedWrapper::ShowDialog(String^ message, List<String^>^ buttons)
	{
		return userInterface->ShowAlertDialog(message, buttons);
	}

	int ManagedWrapper::ShowDialogWithList(String ^ message, List<String^>^ items, int buttonCount, String ^ negativeButton, String ^ positiveButton)
	{
		return userInterface->ShowDialogWithList(message, items, buttonCount, negativeButton, positiveButton);
	}

	int ManagedWrapper::ShowDialogWithInput(String ^ message, String^% input, String ^ positiveButton, String ^ negativeButton)
	{
		return userInterface->ShowDialogWithInput(message, input, positiveButton, negativeButton);
	}

	void ManagedWrapper::ShowProgressDialog(String^ message)
	{
		userInterface->ShowProgressDialog(message);
	}

	void ManagedWrapper::HideProgressDialog()
	{
		userInterface->HideProgressDialog();
	}

	void ManagedWrapper::ShowNotification(String ^ message)
	{
		userInterface->ShowNotification(message);
	}

	bool ManagedWrapper::HasTouchInput()
	{
		return userInterface->HasTouchInput();
	}

	void ManagedWrapper::InitStrings(List<String^>^ strings, int gameToPromote, String^ urlToPromote, String^ urlToRate)
	{
		userInterface->InitStrings(strings, gameToPromote, urlToPromote, urlToRate);
	}

	bool ManagedWrapper::IsShowingMenu()
	{
		return userInterface->IsShowingMenu();
	}

	void ManagedWrapper::SetOglWindowHandle(IntPtr handle)
	{
		userInterface->SetOglWindowHandle(handle);
	}

	String ^ ManagedWrapper::QueryUrl(String ^ url)
	{
		return userInterface->QueryUrl(url);
	}
}