﻿#region Copyright
/// <summary>The ScummVM WPF UI project</summary>
/// <copyright>(c) 2016 MojoTouch</copyright>
/// <author>Ilya Rovensky</author>
#endregion

using System;
using System.Windows;

namespace WpfInterface
{
    public partial class SettingsMenu : Menu
    {
        public SettingsMenu()
        {
            InitializeComponent();

#if TARGET_SIMON2
            // move the back button
            CenterGrid.Children.Remove(BackButton);
            BackButton.Margin = new Thickness(0, 5, 0, 0);
            UniGrid.Children.Add(BackButton);
#endif
            BackButton.Focus();
        }

        protected override void StringsChanged()
        {
            VoiceButton.Content = Strings[(int)LocString.voice_mode];
            MusicButton.Content = Strings[(int)LocString.music_mode];
            LanguageButton.Content = Strings[(int)LocString.language];
            GraphicsButton.Content = Strings[(int)LocString.scaling_option];
            ControlsButton.Content = Strings[(int)LocString.controls];
            AboutButton.Content = Strings[(int)LocString.about];
            BackButton.Content = Strings[(int)LocString.back];
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            SetResultFromSenderTag((FrameworkElement)sender);
        }
    }
}
